<?php

namespace CouponsPlus\App\Coupon\Tree\Notifications\Buttons;

use CouponsPlus\App\Coupon\Tree\Abilities\URL;

class SmartURL implements URL
{
    public const TYPE = 'smart';

    protected string $id;
    protected ShopURL $shopURL;

    public function __construct(string $id, ShopURL $shopURL)
    {
        $this->id = $id;
        $this->shopURL = $shopURL;
    }

    public function getUrl(): string
    {
        return get_permalink($this->id);
    }
}